org.apache.cxf.bus.spring

## Class BusWiringBeanFactoryPostProcessor

- java.lang.Object
- - org.apache.cxf.bus.spring.BusWiringBeanFactoryPostProcessor

- All Implemented Interfaces:
    org.springframework.beans.factory.config.BeanFactoryPostProcessor

      public class BusWiringBeanFactoryPostProcessor
      extends Object
      implements org.springframework.beans.factory.config.BeanFactoryPostProcessor

  BeanFactoryPostProcessor that looks for any bean definitions that have the `AbstractBeanDefinitionParser.WIRE_BUS_ATTRIBUTE` attribute set. If the attribute has the value `BusWiringType.PROPERTY` then it attaches their "bus" property to the bean called "cxf". If the attribute has the value `BusWiringType.CONSTRUCTOR` then it shifts any existing indexed constructor arguments one place to the right and adds a reference to "cxf" as the first constructor argument. This processor is intended to operate on beans defined via Spring namespace support which require a reference to the CXF bus.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BusWiringBeanFactoryPostProcessor()`
    `BusWiringBeanFactoryPostProcessor(Bus b)`
    `BusWiringBeanFactoryPostProcessor(String n)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Bus` | `addBus(org.springframework.context.ApplicationContext ctx, String name)`
    `static Bus` | `addDefaultBus(org.springframework.context.ApplicationContext ctx)`
    `void` | `postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BusWiringBeanFactoryPostProcessor

          public BusWiringBeanFactoryPostProcessor()

    - #### BusWiringBeanFactoryPostProcessor

          public BusWiringBeanFactoryPostProcessor(Bus b)

    - #### BusWiringBeanFactoryPostProcessor

          public BusWiringBeanFactoryPostProcessor(String n)

  - ### Method Detail

    - #### postProcessBeanFactory

          public void postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory)
                                      throws org.springframework.beans.BeansException

      Specified by:
        `postProcessBeanFactory` in interface `org.springframework.beans.factory.config.BeanFactoryPostProcessor`
      Throws:
        `org.springframework.beans.BeansException`

    - #### addDefaultBus

          public static Bus addDefaultBus(org.springframework.context.ApplicationContext ctx)

    - #### addBus

          public static Bus addBus(org.springframework.context.ApplicationContext ctx,
                                   String name)

Apache CXF